﻿using System.Windows;

using DevExpress.Xpf.Bars;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region About 바 버튼 항목 항목 클릭시 처리하기 - aboutBarButtonItem_ItemClick(sender, e)

        /// <summary>
        /// About 바 버튼 항목 항목 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void aboutBarButtonItem_ItemClick(object sender, ItemClickEventArgs e)
        {
            MessageBox.Show("About Window");
        }

        #endregion
        #region Exit 바 버튼 항목 항목 클릭시 처리하기 - exitBarButtonItem_ItemClick(sender, e)

        /// <summary>
        /// Exit 바 버튼 항목 항목 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void exitBarButtonItem_ItemClick(object sender, ItemClickEventArgs e)
        {
            Close();
        }

        #endregion
    }
}